Summary:	A document formatting system
Name:		groff
Version:	1.20.1
Release:	1
License:	GPL
Group:		System
Source0:	ftp://ftp.gnu.org/gnu/groff/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:		groff-info-missing-x11.patch
BuildRequires:	texinfo coreutils
Obsoletes:	groff-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more. You should install groff if you want to use it as a document
formatting system. Groff can also be used to format man pages. If you
are going to use groff with the X Window System, you'll also need to
install the groff-gxditview package.

%prep
%setup -q
%patch0 -p1

for file in NEWS src/devices/grolbp/grolbp.man doc/{groff.info*,webpage.ms} \
                                contrib/mm/*.man contrib/mom/examples/{README.txt,*.mom} ; do
        iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
        mv "${file}_" "$file"
done

%build
%configure --with-appresdir=/etc/X11/app-defaults
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=%{buildroot} \
                        docdir=%{_docdir}/%{name}-%{version} \
                        groffer_dir=%{_datadir}/%{name}/%{version}/groffer

# some binaries need alias with 'g' or 'z' prefix

for file in g{nroff,troff,tbl,pic,eqn,neqn,refer,lookbib,indxbib,soelim} zsoelim; do
        ln -s ${file#?} %{buildroot}%{_bindir}/${file}
        ln -s ${file#?}.1.gz %{buildroot}%{_mandir}/man1/${file}.1.gz
done

rm -f files-perl files-nonperl
for file in %{buildroot}%{_bindir}/*; do
        # package selection
        if grep -q -m1 '^#!.*\<perl\>' $file; then
                output_file=files-perl
        else
                output_file=files-nonperl
        fi

        echo %{_bindir}/$(basename $file) >> $output_file

        # manpage availability
        manfile=%{buildroot}%{_mandir}/man1/$(basename $file).\*
        if [ -f $manfile -o -L $manfile ]; then
                echo %{_mandir}/man1/$(basename $file).\* >> $output_file
        fi
done

chmod 755 %{buildroot}%{_datadir}/groff/%{version}/groffer/version.sh
chmod 755 %{buildroot}%{_datadir}/groff/%{version}/font/devlj4/generate/special.awk

mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Xfree86-Apps/NEW
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Xfree86-Apps/NEW

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/usr/bin
/usr/lib
/usr/share
%{_mandir}/man1/grohtml.*
%{_mandir}/man1/gxditview.*
%{_mandir}/man1/xtotroff.*
%{_mandir}/man5/*
%{_mandir}/man7/*
